# Interface ICefResolveCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefResolveCallback = interface(ICefBaseRefCounted)`

## Description

Callback interface for ICefRequestContext.ResolveHost.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_context_capi.h">CEF source file: /include/capi/cef_request_context_capi.h (cef_resolve_callback_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefResolveCallback

## Overview

### Methods

| `procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings);`

## Description

### Methods

| `procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings);`
Called on the UI thread after the ResolveHost request has completed. |result| will be the result code. |resolved_ips| will be the list of resolved IP addresses or NULL if the resolution failed. ###### Attributes GUID['{0C0EA252-7968-4163-A1BE-A1453576DD06}']

Generated by PasDoc 0.16.0-snapshot.